
Base Distribution - Story # 7215

Status: Resolved Priority: Must have
Author: Daniel Poetzinger Category:
Created: 2010-04-11 Assigned To:
Updated: 2011-05-05 Due date:
Subject: As Phoenix team member I want a state-of-the art build and CI environment
Description

Suggestion for Build environments:
    -  integration_dev with own domain for fe access
    -  * building from the "phoenix" trunk  (using (svn externals) to FLOW3, TYPO3 5.0 and the Demopackage that we want to build up)

    -  integration with own domain for FE access
    -  * building from the latest/defined tag (using also tagged packages and not trunk of packages)

Build Setups in Hudson:
1) phoenix-integration_dev_commit
    -  Quick build that is triggered by SVN commits. 
    -  build xml just checkout the packages and run the basic unit tests
2) phoenix-integration_dev_full
    -  triggered nightly
    -  build that builds from scratch (empty folder):
    -  build xml: * svn checkout of phoenix trunk * fill the contentrepository with a CR dump * system specific configurations (property
file) * run unit tests  * run integration unit tests and selenium tests
3) phoenix-integration_dev_tests and 4) phoenix-integration_tests
    -  triggered manual only running the selenium tests
4) phoenix-integration_full
    -  triggered manual (at en of sprint for instance)
    -  simelar to phoenix-interagtion_dev_full but   * as the first step it tags the relevant packages  * it tags the phoenix and adjust svn
externals to new tag  * then it builds from tag
Criteria:
    -  phoenix-dev.typo3.org points to integration-dev
    -  phoenix.typo3.org points to integration
    -  Hudson shows the build projects
    -  build (phing) files are in svn and understandable
    -  some short system overview (physically) and some short explainations

Related issues:
related to TYPO3.Neos - Task # 7550: Implement JavaScript API generation duri... Resolved 2010-04-30
related to TYPO3.Neos - Task # 7353: Create base build scripts for the TYPO3 ... Resolved 2010-04-26
related to TYPO3.Neos - Task # 7354: Create demo site deployment script Resolved
related to TYPO3.Neos - Task # 7355: Create script for publishing the API doc... Resolved 2010-04-26
related to TYPO3.Neos - Task # 7356: Create build task for selenium tests Resolved
related to TYPO3.Neos - Task # 7358: Exploration: Use a VM for phoenix.demo.t... Resolved
related to TYPO3.Neos - Task # 7359: Setup web spaces for demo sites Resolved
related to TYPO3.Neos - Task # 7360: Setup DNS for Phoenix demo sites Resolved

Associated revisions
Revision 8fee168a - 2010-05-14 09:16 - Karsten Dambekalns

[~TASK] TYPO3 Demo Distribution: Preparing sprint release automation, relates to #7215.

Revision 04e1d99d - 2010-05-14 15:08 - Karsten Dambekalns
[~TASK] TYPO3 Demo Distribution: Preparing sprint release automation, relates to #7215.

History
#1 - 2010-04-12 11:35 - Robert Lemke
- Subject changed from As Phoenix-Team-Member I want an state-of-the art build and ci environment to As Phoenix team member I want an 
state-of-the art build and ci environment

#2 - 2010-04-16 14:29 - Robert Lemke
- Project changed from 1204 to Core Team

#3 - 2010-04-16 14:30 - Robert Lemke
- Status changed from New to Accepted
- Target version set to 518

#4 - 2010-04-16 14:31 - Robert Lemke
- Priority changed from Should have to Must have

#5 - 2010-05-03 12:24 - Karsten Dambekalns
- Subject changed from As Phoenix team member I want an state-of-the art build and ci environment to As Phoenix team member I want a state-of-the 
art build and CI environment

#6 - 2010-05-13 19:01 - Karsten Dambekalns
- % Done changed from 0 to 70

See  http://macosx.ci.typo3.org/ for the CI server, and http://latest.phoenix.demo.typo3.org for daily deployment result.

#7 - 2010-05-14 21:14 - Karsten Dambekalns
- % Done changed from 70 to 100

#8 - 2010-05-28 15:41 - Karsten Dambekalns
- Status changed from Accepted to Resolved

#9 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)
